/*
 * Copyright (C) 2021 Thomas Van Acker
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

package be.bitscuit.gpslogger;

public class LocationEvent {

    private double latitude;
    private double longitude;
    private double elevation;
    private double velocity;
    private long time;

    public LocationEvent(double latitude, double longitude, double elevation, double velocity, long time){
        this.latitude = latitude;
        this.longitude = longitude;
        this.elevation = elevation;
        this.velocity = velocity;
        this.time = time;
    }

    public double getLatitude() {
        return latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public double getElevation() {
        return elevation;
    }

    public double getVelocity() {
        return velocity;
    }

    public long getTime() {
        return time;
    }
}
